54d7382e6c4b8003a66f0aa51de927da266a7f10
[openwrt/svn-archive/archive.git] / net / bahamut / patches / 001-cross_compile.patch
1 diff -urN bahamut-1.8.3/configure bahamut-1.8.3.new/configure
2 --- bahamut-1.8.3/configure 2004-09-28 08:44:22.000000000 +0200
3 +++ bahamut-1.8.3.new/configure 2006-04-02 19:37:57.000000000 +0200
4 @@ -6197,8 +6197,7 @@
5 { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
6 See \`config.log' for more details." >&5
7 echo "$as_me: error: cannot run test program while cross compiling
8 -See \`config.log' for more details." >&2;}
9 - { (exit 1); exit 1; }; }
10 +See \`config.log' for more details." >&2;} }
11 else
12 cat >conftest.$ac_ext <<_ACEOF
13 #line $LINENO "configure"
14 diff -urN bahamut-1.8.3/Makefile.in bahamut-1.8.3.new/Makefile.in
15 --- bahamut-1.8.3/Makefile.in 2004-08-10 03:27:03.000000000 +0200
16 +++ bahamut-1.8.3.new/Makefile.in 2006-04-02 21:57:43.000000000 +0200
17 @@ -23,8 +23,8 @@
18 ENGINE=@SENGINE@
19
20 SHELL=/bin/sh
21 -SUBDIRS=zlib src doc tools
22 -INSTDIRS=src doc tools
23 +SUBDIRS=src
24 +INSTDIRS=src doc
25 CLEANSUBDIRS=src tools
26
27 CC=@CC@
28 diff -urN bahamut-1.8.3/src/Makefile.in bahamut-1.8.3.new/src/Makefile.in
29 --- bahamut-1.8.3/src/Makefile.in 2004-09-24 06:24:10.000000000 +0200
30 +++ bahamut-1.8.3.new/src/Makefile.in 2006-04-02 22:00:34.000000000 +0200
31 @@ -1,8 +1,8 @@
32 CC=@CC@
33 RM=@RM@
34 MV=@MV@
35 -IRCDLIBS=@LIBS@ ../zlib/libz.a
36 -INCLUDEDIR=-I../include
37 +IRCDLIBS=-lresolv -lz @LIBS@ -L$(STAGING_DIR)/lib -L$(STAGING_DIR)/usr/lib
38 +INCLUDEDIR=-I../include -I$(STAGING_DIR)/usr/include
39 OPENSSLINC=@SSL_INCLUDES@
40 ENGINE=@SENGINE@
41 CRYPTO=@ENCRYPT_SRC@
42 @@ -11,10 +11,10 @@
43 INSTALL_DIR=@INSTALL_DIR@
44 CFLAGS=@CFLAGS@
45
46 -RES_SRC =
47 +#RES_SRC =
48
49 #This is only for very old systems that NEED this
50 -#RES_SRC = res_mkquery.c res_init.c res_comp.c
51 +RES_SRC = res_mkquery.c res_init.c res_comp.c
52
53 SOURCES = blalloc.c bsd.c channel.c clientlist.c clones.c confparse.c \
54 fdlist.c fds.c hash.c hide.c inet_addr.c ircd.c ircsprintf.c list.c \
55 @@ -22,7 +22,7 @@
56 modules.c packet.c parse.c pcre.c res.c s_auth.c s_bsd.c s_conf.c \
57 s_debug.c s_err.c s_misc.c s_numeric.c s_serv.c s_user.c sbuf.c \
58 scache.c send.c struct.c support.c throttle.c userban.c whowas.c \
59 - zlink.c \
60 + zlink.c $(RES_SRC) \
61 $(ENGINE) $(CRYPTO)
62
63 OBJECTS = $(SOURCES:.c=.o) version.o
64 diff -urN bahamut-1.8.3/src/res_comp.c bahamut-1.8.3.new/src/res_comp.c
65 --- bahamut-1.8.3/src/res_comp.c 2001-07-07 00:26:33.000000000 +0200
66 +++ bahamut-1.8.3.new/src/res_comp.c 2006-04-02 21:56:10.000000000 +0200
67 @@ -231,7 +231,7 @@
68 * the first name on the list, not the pointer to the start of the
69 * message.
70 */
71 -int staticdn_find(u_char *exp_dn, u_char *msg, u_char **dnptrs,
72 +static int dn_find(u_char *exp_dn, u_char *msg, u_char **dnptrs,
73 u_char **lastdnptr)
74 {
75 u_char *dn, *cp, **cpp;
76 diff -urN bahamut-1.8.3/zlib/Makefile.in bahamut-1.8.3.new/zlib/Makefile.in
77 --- bahamut-1.8.3/zlib/Makefile.in 2004-08-24 00:57:02.000000000 +0200
78 +++ bahamut-1.8.3.new/zlib/Makefile.in 2006-04-02 19:38:11.000000000 +0200
79 @@ -70,7 +70,7 @@
80 fi
81
82 libz.a: $(OBJS) $(OBJA)
83 - $(AR) $@ $(OBJS) $(OBJA)
84 + $(AR) rcv $@ $(OBJS) $(OBJA)
85 -@ ($(RANLIB) $@ || true) >/dev/null 2>&1
86
87 match.o: match.S